summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-06-09 08:16:52 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-06-10 08:02:42 +0700
commit34073f58dd6b2398cb6488c64da902c74bae3fcf (patch)
treec28723c9a00f3e5f9cfc96f30fc56af6ede47074 /gis
parentc5778673bca541697e402f65c81e18c4261c59ba (diff)
downloadslackbuilds-34073f58dd6b2398cb6488c64da902c74bae3fcf.tar.gz
slackbuilds-34073f58dd6b2398cb6488c64da902c74bae3fcf.tar.xz
gis/tangogps: Moved from misc/ category.
Signed-off-by: David Spencer <baildon.research@googlemail.com>
Diffstat (limited to 'gis')
-rw-r--r--gis/tangogps/README10
-rw-r--r--gis/tangogps/doinst.sh3
-rw-r--r--gis/tangogps/slack-desc19
-rw-r--r--gis/tangogps/tangogps.SlackBuild79
-rw-r--r--gis/tangogps/tangogps.info10
5 files changed, 121 insertions, 0 deletions
diff --git a/gis/tangogps/README b/gis/tangogps/README
new file mode 100644
index 0000000000..a2feaaad64
--- /dev/null
+++ b/gis/tangogps/README
@@ -0,0 +1,10 @@
+tangogps is an easy to use, fast, and lightweight mapping application
+for use with or without GPS. By default, tangoGPS uses map data from
+the Openstreetmap project. Additionally, a variety of other repositories
+can be easily added. The maps are downloaded and cached for offline use
+while you drag or zoom the map. Furthermore, you can conveniently pre-cache
+areas with tangoGPS.
+
+If connected to a GPS, your current position and track are shown on the map,
+and you can log positional data for further processing, e.g. for geocoding
+photos or uploading streets to Openstreetmap.
diff --git a/gis/tangogps/doinst.sh b/gis/tangogps/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/gis/tangogps/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/gis/tangogps/slack-desc b/gis/tangogps/slack-desc
new file mode 100644
index 0000000000..aafc6ee5ac
--- /dev/null
+++ b/gis/tangogps/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+tangogps: tangoGPS (fast and lightweight mapping application)
+tangogps:
+tangogps: tangoGPS is an easy to use, fast and lightweight mapping application
+tangogps: for use with or without GPS. By default tangoGPS uses map data from
+tangogps: the Openstreetmap project, but a variety of other repositories can
+tangogps: be easily added. The maps are downloaded and cached for offline use
+tangogps: and you can conveniently pre-cache areas with tangoGPS. If connected
+tangogps: to a GPS your current position and track are shown on the map and
+tangogps: you can log positional data for further processing.
+tangogps:
+tangogps: Homepage: http://www.tangogps.org
diff --git a/gis/tangogps/tangogps.SlackBuild b/gis/tangogps/tangogps.SlackBuild
new file mode 100644
index 0000000000..0ca2460b6d
--- /dev/null
+++ b/gis/tangogps/tangogps.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+# Slackware build script for tangogps
+# Written by <pedro@gepasi.org>
+# This script is hereby put in the public domain
+
+PRGNAM=tangogps
+VERSION=0.99.4
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix for glib>=2.31
+sed -i "s|^#include\ <glib/.*||" src/map_management.c
+
+# This other is for curl>=7.24
+sed -i "s|^#include\ <curl/types\.h>||" \
+ src/tile_management.c src/util.h src/friends.c
+
+LDFLAGS="-lm" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make tangogpsdocdir=/usr/doc/$PRGNAM-$VERSION
+make tangogpsdocdir=/usr/doc/$PRGNAM-$VERSION install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/tangogps/tangogps.info b/gis/tangogps/tangogps.info
new file mode 100644
index 0000000000..e61aebc431
--- /dev/null
+++ b/gis/tangogps/tangogps.info
@@ -0,0 +1,10 @@
+PRGNAM="tangogps"
+VERSION="0.99.4"
+HOMEPAGE="http://www.tangogps.org"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/tangogps-0.99.4.tar.gz"
+MD5SUM="0f07ede94a21eb84f5e017fa88a1fc3d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Pedro Mendes"
+EMAIL="pedro@gepasi.org"